%{?nodejs_find_provides_and_requires}

# disable following tests as they need network access
%global enable_tests 0
%global module_name nsp-audit-shrinkwrap

Name:           nodejs-%{module_name}
Version:        1.0.3
Release:        2%{?dist}
Summary:        Audits a shrinkwrap file against the NSP module vulnerability database

License:        MIT
URL:            https://github.com/nodesecurity/nsp-audit-shrinkwrap
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(duplex)
BuildRequires:  npm(nsp-api)

BuildRequires: npm(tape)

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Audits a shrinkwrap file against the Node Security Project module
vulnerability database.

%prep
%setup -q -n package
rm -rf node_modules

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json src %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node tests/test-*.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Dec 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.3-2
- Specify exclusively arch list as per nodejs packaging guidelines

* Thu Feb 12 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.3-1
- update to 1.0.3

* Fri Jan 23 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- update to 1.0.2

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.0.1-1
- update to 1.0.1

* Fri Sep 19 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

